Subject: Re: bug#1975: Reusing dead shell buffers

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Wed, 11 Apr 2012 14:34:44 +0200

Jose E. Marchesi <[email-masked]> writes:

> If I want to restart the shell that is running in shell-gdb, I usually
> Ctrl-D to terminate it and then I reuse the buffer.  Without the patch
> I have to C-uM-xshell and then type shell-gdb.

Currently `C-u M-x shell' defaults to "*shell*", which seems pretty
nonsensical.  Surely if the user wanted to use that buffer, then she
would have just typed `M-x shell'.

So perhaps `C-u M-x shell' should just default to the current buffer
instead?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/